Bug 571502 - Review Request: pidgin-birthday-reminder - Birthday Reminder plugin for Pidgin
Summary: Review Request: pidgin-birthday-reminder - Birthday Reminder plugin for Pidgin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-08 17:25 UTC by Kalev Lember
Modified: 2010-04-09 03:43 UTC (History)
4 users (show)

Fixed In Version: pidgin-birthday-reminder-1.5-1.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-27 00:54:46 UTC
terjeros: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Kalev Lember 2010-03-08 17:25:05 UTC
Spec URL: http://kalev.fedorapeople.org/pidgin-birthday-reminder.spec
SRPM URL: http://kalev.fedorapeople.org/pidgin-birthday-reminder-1.4-1.fc14.src.rpm
Description:
Pidgin Birthday Reminder reminds you of your buddies birthdays. Birthdays can
be set by hand or be automatically filled-in for ICQ, MSN and XMPP protocols.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2039330

Comment 1 William Witt 2010-03-11 02:12:51 UTC
Below is an informal review:
(extract from http://fedoraproject.org/wiki/Packaging:ReviewGuidelines)

* MUST: rpmlint must be run on every package. The output should be posted in the review.[1]

[ unamanic@gimli:~ ] $rpmlint /home/unamanic/rpmbuild/SRPMS/pidgin-birthday-reminder-1.4-1.fc12.src.rpm /home/unamanic/rpmbuild/RPMS/x86_64/pidgin-birthday-reminder-1.4-1.fc12.x86_64.rpm /home/unamanic/rpmbuild/RPMS/x86_64/pidgin-birthday-reminder-debuginfo-1.4-1.fc12.x86_64.rpm
pidgin-birthday-reminder.src: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
pidgin-birthday-reminder.x86_64: W: spelling-error Summary(en_US) plugin -> plug in, plug-in, plugging
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

* MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]

is "# Pidgin package doesn't own sounds/pidgin/ dir" a bug against pidgin?

* MUST: Each package must consistently use macros. [17]

changing $RPM_BUILD_ROOT to %{buildroot} for consitancy would improve consistency

* SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. [29]

are translations available?

Comment 2 Kalev Lember 2010-03-11 09:25:59 UTC
(In reply to comment #1)
Thanks for the review, William.

> * MUST: A package must own all directories that it creates. If it does not
> create a directory that it uses, then it should require a package which does
> create that directory. [13]
> 
> is "# Pidgin package doesn't own sounds/pidgin/ dir" a bug against pidgin?

No, I don't think it's pidgin's bug. That comment in the spec file is just a reminder for myself why I had to own this directory. On pidgin's point of view, there is no reason why pidgin should own this dir: it doesn't place any files in there, and also it's not a standard directory where plugins would put stuff.

So right now I think it's best if pidgin-birthday-reminder owned this dir.


> * MUST: Each package must consistently use macros. [17]
> 
> changing $RPM_BUILD_ROOT to %{buildroot} for consitancy would improve
> consistency

According to [1], choosing $RPM_BUILD_ROOT vs %{buildroot} is left entirely up to the packager. What matters is that $RPM_BUILD_ROOT should not be mixed with %{buildroot} in one spec.

[1] http://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS


> * SHOULD: The description and summary sections in the package spec file should
> contain translations for supported Non-English languages, if available. [29]
> 
> are translations available?    

No, none are available.

Comment 3 Terje Røsten 2010-03-18 11:56:17 UTC
Seems good, however files have GPLv2+ and COPYING GPLv3.

Please contact upstream to clarify.

What is the correct URL?

This
  https://sourceforge.net/projects/pidgin-birthday/
or
  http://freakazoid.teamblind.de/2009/02/14/pidgin-birthday-reminder/

Comment 4 Kalev Lember 2010-03-18 18:15:49 UTC
(In reply to comment #3)
> Seems good, however files have GPLv2+ and COPYING GPLv3.
> 
> Please contact upstream to clarify.

I actually believe that it's fine to ship GPLv3 COPYING file with sources that are GPLv2+. See http://fedoraproject.org/wiki/Licensing/FAQ#How_do_I_figure_out_what_version_of_the_GPL.2FLGPL_my_package_is_under.3F

However, GPLv3 COPYING file might still confuse people. I talked with the upstream author about that and he updated the COPYING file in SVN to contain the GPLv2 license text:
http://pidgin-birthday.svn.sourceforge.net/viewvc/pidgin-birthday?view=rev&revision=61


> What is the correct URL?
> 
> This
>   https://sourceforge.net/projects/pidgin-birthday/
> or
>   http://freakazoid.teamblind.de/2009/02/14/pidgin-birthday-reminder/    

All right, I guess the latter one has more info.

* Thu Mar 18 2010 Kalev Lember <kalev@smartlink.ee> - 1.4-2
- Updated URL

Spec URL: http://kalev.fedorapeople.org/pidgin-birthday-reminder.spec
SRPM URL: http://kalev.fedorapeople.org/pidgin-birthday-reminder-1.4-2.fc14.src.rpm
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2061702

Comment 5 Terje Røsten 2010-03-18 18:57:09 UTC
ok rpmlint
ok naming
ok spec file
ok perms and owns
ok license
ok license tag
ok buildflags
ok sha1sum
    2416915f7693213d4c774f967065c628a50d9b3b  birthday_reminder-1.4.tar.gz
    2416915f7693213d4c774f967065c628a50d9b3b  birthday_reminder-1.4.tar.gz.spec
ok timestamps
    2010-03-04 08:20 birthday_reminder-1.4.tar.gz
ok koji
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2061772

I see no problems, only a small comment: wav files might belong in
/usr/share/sounds/purple, that's a upstream issue not a review thing.

Comment 6 Terje Røsten 2010-03-18 18:59:55 UTC
And the conclusion is package pidgin-birthday-reminder is 
  
 APPROVED.

Comment 7 Kalev Lember 2010-03-18 19:10:41 UTC
Thank you for the review, Terje!

New Package CVS Request
=======================
Package Name: pidgin-birthday-reminder
Short Description: Birthday Reminder plugin for Pidgin
Owners: kalev
Branches: F-11 F-12 F-13
InitialCC:

Comment 8 Kevin Fenzi 2010-03-19 19:55:51 UTC
CVS done (by process-cvs-requests.py).

Comment 9 Fedora Update System 2010-03-19 21:57:24 UTC
pidgin-birthday-reminder-1.4-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pidgin-birthday-reminder-1.4-2.fc12

Comment 10 Fedora Update System 2010-03-19 21:57:28 UTC
pidgin-birthday-reminder-1.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pidgin-birthday-reminder-1.4-2.fc11

Comment 11 Fedora Update System 2010-03-19 21:57:32 UTC
pidgin-birthday-reminder-1.4-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pidgin-birthday-reminder-1.4-2.fc13

Comment 12 Fedora Update System 2010-03-20 11:14:55 UTC
pidgin-birthday-reminder-1.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pidgin-birthday-reminder-1.5-1.fc12

Comment 13 Fedora Update System 2010-03-20 11:15:01 UTC
pidgin-birthday-reminder-1.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pidgin-birthday-reminder-1.5-1.fc13

Comment 14 Fedora Update System 2010-03-20 11:15:06 UTC
pidgin-birthday-reminder-1.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pidgin-birthday-reminder-1.5-1.fc11

Comment 15 Fedora Update System 2010-03-23 01:55:49 UTC
pidgin-birthday-reminder-1.5-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-birthday-reminder'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pidgin-birthday-reminder-1.5-1.fc13

Comment 16 Fedora Update System 2010-03-23 02:01:59 UTC
pidgin-birthday-reminder-1.5-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-birthday-reminder'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pidgin-birthday-reminder-1.5-1.fc12

Comment 17 Fedora Update System 2010-03-23 02:03:53 UTC
pidgin-birthday-reminder-1.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pidgin-birthday-reminder'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pidgin-birthday-reminder-1.5-1.fc11

Comment 18 Fedora Update System 2010-03-27 00:54:41 UTC
pidgin-birthday-reminder-1.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2010-03-27 00:58:30 UTC
pidgin-birthday-reminder-1.5-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2010-04-09 03:43:51 UTC
pidgin-birthday-reminder-1.5-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.